"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnknownUI = void 0;

class UnknownUI extends Error {
  constructor(uiRoot, available) {
    super();
    this.uiRoot = uiRoot;
    this.available = available;
  }

  toString() {
    var _this$available;

    return `Unknown UI root: "${this.uiRoot}". Available ui roots are: [${(_this$available = this.available) === null || _this$available === void 0 ? void 0 : _this$available.join(', ')}]`;
  }

}

exports.UnknownUI = UnknownUI;

//# sourceMappingURL=/Users/giladshoham/Library/Caches/Bit/capsules/c0abd806278b76e99983f68fca70f55b4ee41b58/teambit.ui-foundation_ui@0.0.393/exceptions/unknown-ui.js.map